<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:30 CEST 2019 -->
<title>FBBlob (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FBBlob (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBArray.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBBlobInputStream.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBBlob.html" target="_top">Frames</a></li>
<li><a href="FBBlob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Class FBBlob" class="title">Class FBBlob</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.jdbc.FBBlob</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a>, <a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FBBlob</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a>, <a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a></pre>
<div class="block">Firebird implementation of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql"><code>Blob</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.firebirdsql.jdbc.FirebirdBlob">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.firebirdsql.jdbc.<a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a></h3>
<code><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob.BlobInputStream</a>, <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobOutputStream.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob.BlobOutputStream</a></code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#SEGMENTED">SEGMENTED</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#FBBlob-org.firebirdsql.gds.impl.GDSHelper-">FBBlob</a></span>(<a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a>&nbsp;c)</code>
<div class="block">Create new Blob instance.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#FBBlob-org.firebirdsql.gds.impl.GDSHelper-org.firebirdsql.jdbc.FBObjectListener.BlobListener-">FBBlob</a></span>(<a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a>&nbsp;c,
      <a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a>&nbsp;blobListener)</code>
<div class="block">Create new Blob instance.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#FBBlob-org.firebirdsql.gds.impl.GDSHelper-long-">FBBlob</a></span>(<a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a>&nbsp;c,
      long&nbsp;blob_id)</code>
<div class="block">Create instance of this class to access existing Blob.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#FBBlob-org.firebirdsql.gds.impl.GDSHelper-long-org.firebirdsql.jdbc.FBObjectListener.BlobListener-">FBBlob</a></span>(<a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a>&nbsp;c,
      long&nbsp;blob_id,
      <a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a>&nbsp;blobListener)</code>
<div class="block">Create instance of this class to access existing Blob.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#copyBytes-byte:A-int-int-">copyBytes</a></span>(byte[]&nbsp;bytes,
         int&nbsp;pos,
         int&nbsp;len)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#copyCharacterStream-java.io.Reader-org.firebirdsql.encodings.Encoding-">copyCharacterStream</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;reader,
                   <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</code>
<div class="block">Copy data from a character stream into this Blob.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#copyCharacterStream-java.io.Reader-long-org.firebirdsql.encodings.Encoding-">copyCharacterStream</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;reader,
                   long&nbsp;length,
                   <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)</code>
<div class="block">Copy data from a character stream into this Blob.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#copyStream-java.io.InputStream-">copyStream</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;inputStream)</code>
<div class="block">Copy the contents of an <code>InputStream</code> into this Blob.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#copyStream-java.io.InputStream-long-">copyStream</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;inputStream,
          long&nbsp;length)</code>
<div class="block">Copy the contents of an <code>InputStream</code> into this Blob.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#detach--">detach</a></span>()</code>
<div class="block">Detach this blob.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#free--">free</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#getBinaryStream--">getBinaryStream</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#getBinaryStream-long-long-">getBinaryStream</a></span>(long&nbsp;pos,
               long&nbsp;length)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#getBlobId--">getBlobId</a></span>()</code>
<div class="block">Get the identifier for this <code>Blob</code></div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#getBytes-long-int-">getBytes</a></span>(long&nbsp;pos,
        int&nbsp;length)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#getGdsHelper--">getGdsHelper</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#getInfo-byte:A-int-">getInfo</a></span>(byte[]&nbsp;items,
       int&nbsp;buffer_length)</code>
<div class="block">Get information about this Blob.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#getSynchronizationObject--">getSynchronizationObject</a></span>()</code>
<div class="block">Get synchronization object.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#isSegmented--">isSegmented</a></span>()</code>
<div class="block">Check if blob is segmented.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#length--">length</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#position-java.sql.Blob-long-">position</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a>&nbsp;pattern,
        long&nbsp;start)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>long</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#position-byte:A-long-">position</a></span>(byte[]&nbsp;pattern,
        long&nbsp;start)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#setBinaryStream-long-">setBinaryStream</a></span>(long&nbsp;pos)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#setBytes-long-byte:A-">setBytes</a></span>(long&nbsp;pos,
        byte[]&nbsp;bytes)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#setBytes-long-byte:A-int-int-">setBytes</a></span>(long&nbsp;pos,
        byte[]&nbsp;bytes,
        int&nbsp;offset,
        int&nbsp;len)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FBBlob.html#truncate-long-">truncate</a></span>(long&nbsp;len)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="SEGMENTED">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SEGMENTED</h4>
<pre>public static final&nbsp;boolean SEGMENTED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#org.firebirdsql.jdbc.FBBlob.SEGMENTED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FBBlob-org.firebirdsql.gds.impl.GDSHelper-org.firebirdsql.jdbc.FBObjectListener.BlobListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBBlob</h4>
<pre>public&nbsp;FBBlob(<a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a>&nbsp;c,
              <a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a>&nbsp;blobListener)</pre>
<div class="block">Create new Blob instance. This constructor creates new fresh Blob, only
 writing to the Blob is allowed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - connection that will be used to write data to blob</dd>
<dd><code>blobListener</code> - Blob listener instance</dd>
</dl>
</li>
</ul>
<a name="FBBlob-org.firebirdsql.gds.impl.GDSHelper-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBBlob</h4>
<pre>public&nbsp;FBBlob(<a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a>&nbsp;c)</pre>
<div class="block">Create new Blob instance. This constructor creates new fresh Blob, only
 writing to the Blob is allowed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - connection that will be used to write data to blob.</dd>
</dl>
</li>
</ul>
<a name="FBBlob-org.firebirdsql.gds.impl.GDSHelper-long-org.firebirdsql.jdbc.FBObjectListener.BlobListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FBBlob</h4>
<pre>public&nbsp;FBBlob(<a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a>&nbsp;c,
              long&nbsp;blob_id,
              <a href="../../../org/firebirdsql/jdbc/FBObjectListener.BlobListener.html" title="interface in org.firebirdsql.jdbc">FBObjectListener.BlobListener</a>&nbsp;blobListener)</pre>
<div class="block">Create instance of this class to access existing Blob.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - connection that will be used to access Blob.</dd>
<dd><code>blob_id</code> - ID of the Blob.</dd>
<dd><code>blobListener</code> - Blob listener instance</dd>
</dl>
</li>
</ul>
<a name="FBBlob-org.firebirdsql.gds.impl.GDSHelper-long-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FBBlob</h4>
<pre>public&nbsp;FBBlob(<a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a>&nbsp;c,
              long&nbsp;blob_id)</pre>
<div class="block">Create instance of this class to access existing Blob.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>c</code> - connection that will be used to access Blob.</dd>
<dd><code>blob_id</code> - ID of the Blob.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getSynchronizationObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSynchronizationObject</h4>
<pre>public final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;getSynchronizationObject()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/jdbc/Synchronizable.html#getSynchronizationObject--">Synchronizable</a></code></span></div>
<div class="block">Get synchronization object.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jdbc/Synchronizable.html#getSynchronizationObject--">getSynchronizationObject</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/jdbc/Synchronizable.html" title="interface in org.firebirdsql.jdbc">Synchronizable</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>object, cannot be <code>null</code>.</dd>
</dl>
</li>
</ul>
<a name="free--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>free</h4>
<pre>public&nbsp;void&nbsp;free()
          throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#free--" title="class or interface in java.sql">free</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBinaryStream-long-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBinaryStream</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;getBinaryStream(long&nbsp;pos,
                                   long&nbsp;length)
                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#getBinaryStream-long-long-" title="class or interface in java.sql">getBinaryStream</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getInfo-byte:A-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInfo</h4>
<pre>public&nbsp;byte[]&nbsp;getInfo(byte[]&nbsp;items,
                      int&nbsp;buffer_length)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get information about this Blob. This method should be considered as
 temporary because it provides access to low-level API. More information
 on how to use the API can be found in "API Guide".</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>items</code> - items in which we are interested.</dd>
<dd><code>buffer_length</code> - buffer where information will be stored.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>array of bytes containing information about this Blob.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if something went wrong.</dd>
</dl>
</li>
</ul>
<a name="length--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>length</h4>
<pre>public&nbsp;long&nbsp;length()
            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#length--" title="class or interface in java.sql">length</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="isSegmented--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSegmented</h4>
<pre>public&nbsp;boolean&nbsp;isSegmented()
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html#isSegmented--">FirebirdBlob</a></code></span></div>
<div class="block">Check if blob is segmented. If Blob is segmented, you cannot use 
 <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.BlobInputStream.html#seek-int-"><code>FirebirdBlob.BlobInputStream.seek(int)</code></a> method.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html#isSegmented--">isSegmented</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><code>true</code> if this blob is segmented, 
 otherwise <code>false</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="detach--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>detach</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a>&nbsp;detach()
                    throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html#detach--">FirebirdBlob</a></code></span></div>
<div class="block">Detach this blob. This method creates new instance of the same blob 
 database object that is not under result set control. When result set
 is closed, all associated resources are also released, including open
 blob streams. This method creates an new instance of blob object with
 the same blob ID that can be used even when result set is closed.
 <p>
 Note, detached blob will not remember the stream position of this object.
 This means that you cannot start reading data from the blob, then detach
 it, and then continue reading. Reading from detached blob will begin at
 the blob start.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html#detach--">detach</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc">FirebirdBlob</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>instance of <a href="../../../org/firebirdsql/jdbc/FirebirdBlob.html" title="interface in org.firebirdsql.jdbc"><code>FirebirdBlob</code></a> that is not under result set 
 control.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if Blob cannot be detached.</dd>
</dl>
</li>
</ul>
<a name="getBytes-long-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBytes</h4>
<pre>public&nbsp;byte[]&nbsp;getBytes(long&nbsp;pos,
                       int&nbsp;length)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#getBytes-long-int-" title="class or interface in java.sql">getBytes</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBinaryStream--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBinaryStream</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;getBinaryStream()
                            throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#getBinaryStream--" title="class or interface in java.sql">getBinaryStream</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="position-byte:A-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>position</h4>
<pre>public&nbsp;long&nbsp;position(byte[]&nbsp;pattern,
                     long&nbsp;start)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#position-byte:A-long-" title="class or interface in java.sql">position</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="position-java.sql.Blob-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>position</h4>
<pre>public&nbsp;long&nbsp;position(<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a>&nbsp;pattern,
                     long&nbsp;start)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#position-java.sql.Blob-long-" title="class or interface in java.sql">position</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="truncate-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>truncate</h4>
<pre>public&nbsp;void&nbsp;truncate(long&nbsp;len)
              throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#truncate-long-" title="class or interface in java.sql">truncate</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setBytes-long-byte:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBytes</h4>
<pre>public&nbsp;int&nbsp;setBytes(long&nbsp;pos,
                    byte[]&nbsp;bytes)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#setBytes-long-byte:A-" title="class or interface in java.sql">setBytes</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setBytes-long-byte:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBytes</h4>
<pre>public&nbsp;int&nbsp;setBytes(long&nbsp;pos,
                    byte[]&nbsp;bytes,
                    int&nbsp;offset,
                    int&nbsp;len)
             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#setBytes-long-byte:A-int-int-" title="class or interface in java.sql">setBytes</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="setBinaryStream-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBinaryStream</h4>
<pre>public&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;setBinaryStream(long&nbsp;pos)
                             throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true#setBinaryStream-long-" title="class or interface in java.sql">setBinaryStream</a></code>&nbsp;in interface&nbsp;<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Blob.html?is-external=true" title="class or interface in java.sql">Blob</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getBlobId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlobId</h4>
<pre>public&nbsp;long&nbsp;getBlobId()
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the identifier for this <code>Blob</code></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>This <code>Blob</code>'s identifier</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="copyBytes-byte:A-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyBytes</h4>
<pre>public&nbsp;void&nbsp;copyBytes(byte[]&nbsp;bytes,
                      int&nbsp;pos,
                      int&nbsp;len)
               throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="getGdsHelper--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGdsHelper</h4>
<pre>public&nbsp;<a href="../../../org/firebirdsql/gds/impl/GDSHelper.html" title="class in org.firebirdsql.gds.impl">GDSHelper</a>&nbsp;getGdsHelper()</pre>
</li>
</ul>
<a name="copyStream-java.io.InputStream-long-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyStream</h4>
<pre>public&nbsp;void&nbsp;copyStream(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;inputStream,
                       long&nbsp;length)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Copy the contents of an <code>InputStream</code> into this Blob.
 <p>
 Calling with length <code>-1</code> is equivalent to calling <a href="../../../org/firebirdsql/jdbc/FBBlob.html#copyStream-java.io.InputStream-"><code>copyStream(InputStream)</code></a>, and will copy
 the whole stream.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inputStream</code> - the stream from which data will be copied</dd>
<dd><code>length</code> - The maximum number of bytes to read from the InputStream, <code>-1</code> to read whole stream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="copyStream-java.io.InputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyStream</h4>
<pre>public&nbsp;void&nbsp;copyStream(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;inputStream)
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Copy the contents of an <code>InputStream</code> into this Blob. Unlike
 the <a href="../../../org/firebirdsql/jdbc/FBBlob.html#copyStream-java.io.InputStream-long-"><code>copyStream(InputStream, long)</code></a> method, this one copies bytes
 until the EOF is reached.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>inputStream</code> - the stream from which data will be copied</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="copyCharacterStream-java.io.Reader-long-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>copyCharacterStream</h4>
<pre>public&nbsp;void&nbsp;copyCharacterStream(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;reader,
                                long&nbsp;length,
                                <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Copy data from a character stream into this Blob.
 <p>
 Calling with length <code>-1</code> is equivalent to calling <a href="../../../org/firebirdsql/jdbc/FBBlob.html#copyCharacterStream-java.io.Reader-org.firebirdsql.encodings.Encoding-"><code>copyCharacterStream(Reader, Encoding)</code></a>.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reader</code> - the source of data to copy</dd>
<dd><code>length</code> - The maximum number of bytes to copy, or <code>-1</code> to read the whole stream</dd>
<dd><code>encoding</code> - The encoding used in the character stream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
<a name="copyCharacterStream-java.io.Reader-org.firebirdsql.encodings.Encoding-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>copyCharacterStream</h4>
<pre>public&nbsp;void&nbsp;copyCharacterStream(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;reader,
                                <a href="../../../org/firebirdsql/encodings/Encoding.html" title="interface in org.firebirdsql.encodings">Encoding</a>&nbsp;encoding)
                         throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Copy data from a character stream into this Blob. Unlike
 the <a href="../../../org/firebirdsql/jdbc/FBBlob.html#copyCharacterStream-java.io.Reader-long-org.firebirdsql.encodings.Encoding-"><code>copyCharacterStream(Reader, long, Encoding)</code></a> )} method, this one copies bytes
 until the EOF is reached.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>reader</code> - the source of data to copy</dd>
<dd><code>encoding</code> - The encoding used in the character stream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FBArray.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FBBlobInputStream.html" title="class in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FBBlob.html" target="_top">Frames</a></li>
<li><a href="FBBlob.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
